Version et installation libre office

Bonjour,
Je viens d’importer le contenu comète dans un atelier. Je souhaiterai maintenant générer un imprimables ODT et un diaporama. Pour cela j’ai suivi le lien donné sur la page opale http://scenari-platform.org/projects/opale/fr/pres/co/telechargerOpale.html qui demande d’installer libre office 4.3. J’ai installé la version portable car j’utilise une version plus avancée au quotidien. J’ai installé celle-ci dans le dossier:
C:\Program Files (x86)\LibreOfficePortablePrevious_4.3.7_MultilingualStandard.paf
et recopié ce chemin dans
Application/Préférences/Outils externes/Emplacement personnalisé mais je n’arrive pas à faire la génération.
Auriez-vous une idée à me proposer pour que cela fonctionne? En vous remerciant.

Vous avez quoi comme message d’erreur ? Vous avez bien redémarré l’application Opale (ou SCENARIchain) après avoir modifié le chemin vers LO ?

Bonsoir,
Je viens de redémarrer complètement mon PC. En suivant le tutoriel:
http://moodle.utc.fr/file.php/1330/cometes-modules/cometes-module-1-decouv/cometes-module-1-parcours/co/0300_publi_starter.html
Il est parlé d’un volet de publication que je ne trouve pas. Donc j’imagine que j’ai mal paramétré l’accès à mon LO portable. Mais je n’ai pas de message d’erreur.

En sélectionnant 0Module_cometes.xml j’ai accès au mode:
édition
aperçu/web standard
aperçu/web court
aperçu/web avec commentaires (version standard)

En sélectionnant cometes_web.publi j’ai accès au mode:
édition
web/publication web
web/publication aurora
scorm/mono SCORM
scorm/mono SCORM aurora
scorm/mono SCORM multi
info
texte

A aucun moment je n’ai de commande pour générer un .odt
Auriez-vous une idée?

Bonsoir,
Personne n’a une idée pour l’installation de libre office portable 4.3.7?

Bonjour,
j’ai 2 questions:
pourquoi utiliser Opale Starter plutôt que la version advanced?
pourquoi ne pas installer LibreOffice sur votre poste?
Ca ne fait pas avancer votre pb mais ça donnera peut être des idées…

Bonjour,

En effet Opale comporte deux versions : Starter et Advanced, La manière d’accéder aux publications est très différente entre les deux versions.

Dans Starter les publications (web et papier) sont directement accessibles depuis un item “Module”, ce sont des “vues” ou onglets verticales :

Dans Advanced les publications (web et papier et diaporama) sont portés par des items dédiés (non-existant dans la version Starter) qu’on appelle des “racines de publication” :

Ces items permettent l’accès à de nombreux paramètres dédiés à chaque format. Une fois une racine créé, il suffit d’y lier un module et enfin de lancer les la publication depuis la vue dédié, pour la racine papier celle-ci s’appelle “papier” :

Merci pour votre aide. J’ai installer Opale Advanced. J’ai réussi à générer la version papier grâce à votre aide mais j’ai un message d’erreur. Je précise que j’ai installé sur mon pc sous windows 7-64 deux version de libre office.
Celle que j’utilise couramment Version: 5.0.4.2. comme Scénari est compatible avec la 4.3 j’ai installé celle-ci en portable car l’installation de cette dernière en version standard à côté de la 5.0.4.2. est refusée par le système.
Voici le rapport d’erreur:
Traces de ‘Publication Texte OpenDocument’ pour l’item ‘/cometes_advanced/cometes_advanced_papier.publi’

— User details —
Générateur: gen_paper - Publication Texte OpenDocument
Item racine: /cometes_advanced/cometes_advanced_papier.publi

  • [transform] Echec à la transformation [transform] Src=‘D:\MECA\SCENARI\comete\src\cometes_advanced\cometes_advanced_papier.publi\paper\cometes_advanced_papier.odt’ [transform] Dst=‘D:\MECA\SCENARI\comete\src\cometes_advanced\cometes_advanced_papier.publi\paper\cometes_advanced_papier.odt’ [transform] params=‘transform=odtUpdate&processings=keepEnumTitle:’ [transform] java.lang.ClassNotFoundException: com.sun.star.comp.helper.Bootstrap
  • Echec à la transformation Src=‘D:\MECA\SCENARI\comete\src\cometes_advanced\cometes_advanced_papier.publi\paper\cometes_advanced_papier.odt’ Dst=‘D:\MECA\SCENARI\comete\src\cometes_advanced\cometes_advanced_papier.publi\paper\cometes_advanced_papier.odt’ params=‘transform=odtUpdate&processings=keepEnumTitle:’
    • Echec à la transformation d’une ressource (OpenDocument).
      • OpenDocument editor not found.
        • Load ‘com.sun.star.comp.helper.Bootstrap’ failed in jars : [jar:file:/C:/Program%20Files%20(x86)/SCENARI/SCENARIchain4.1/bin/scServer/sclib/scenari.jar!/com/scenari/s/co/transform/oo/classes/, file:/C:/Program%20Files%20(x86)/URE/java/jurt.jar, file:/C:/Program%20Files%20(x86)/URE/java/ridl.jar, file:/C:/Program%20Files%20(x86)/LibreOfficePortablePrevious_4.3.7_MultilingualStandard.paf/classes/unoil.jar, file:/C:/Program%20Files%20(x86)/URE/java/juh.jar, file:/C:/Program%20Files%20(x86)/URE/java/jurt.jar, file:/C:/Program%20Files%20(x86)/URE/java/ridl.jar, file:/C:/Program%20Files%20(x86)/Basis/program/classes/unoil.jar, file:/C:/Program%20Files%20(x86)/URE/java/juh.jar, file:/C:/Program%20Files%20(x86)/LibreOfficePortablePrevious_4.3.7_MultilingualStandard.paf/classes/jurt.jar, file:/C:/Program%20Files%20(x86)/LibreOfficePortablePrevious_4.3.7_MultilingualStandard.paf/classes/ridl.jar, file:/C:/Program%20Files%20(x86)/LibreOfficePortablePrevious_4.3.7_MultilingualStandard.paf/classes/unoil.jar, file:/C:/Program%20Files%20(x86)/LibreOfficePortablePrevious_4.3.7_MultilingualStandard.paf/classes/juh.jar]
          • com.sun.star.comp.helper.Bootstrap

— Admin details —

<?xml version="1.0" encoding="UTF-8"?>
java.lang.ClassNotFoundException: com.sun.star.comp.helper.Bootstrap at java.net.URLClassLoader$1.run(URLClassLoader.java:202) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(URLClassLoader.java:190) at java.lang.ClassLoader.loadClass(ClassLoader.java:307) at java.lang.ClassLoader.loadClass(ClassLoader.java:248) at com.scenari.s.co.transform.oo.HTransformerOo.getOoClassLoader(HTransformerOo.java:378) at com.scenari.s.co.transform.oo.HTransformerOo.xGetSubTransformer(HTransformerOo.java:185) at com.scenari.s.co.transform.oo.HTransformerOo.hTransform(HTransformerOo.java:138) at com.scenari.m.co.ant.TransformTask.execute(TransformTask.java:91) at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291) at sun.reflect.GeneratedMethodAccessor22.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:597) at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106) at org.apache.tools.ant.Task.perform(Task.java:348) at org.apache.tools.ant.Target.execute(Target.java:390) at org.apache.tools.ant.Target.performTasks(Target.java:411) at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399) at org.apache.tools.ant.Project.executeTarget(Project.java:1368) at com.scenari.m.ge.generator.ant.AntGenerator.xGenerate(AntGenerator.java:424) at com.scenari.m.ge.generator.base.GeneratorStatic.generate(GeneratorStatic.java:624) at eu.scenari.wsp.module.gen.ThreadGen.run(ThreadGen.java:147) at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) at java.lang.Thread.run(Thread.java:662)

— Js stack —
0:cbLoadLog([object ProgressEvent])
1:([object ProgressEvent])

— App context —
timestamp: lundi 1 février 2016 10:33:27
userAgent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0.12) Gecko/20130122 ch.4.1/4.1.011
coreVersion: 4.1.011
brandShortName: SCENARIchain
appVersion: 4.1.011
appBuildId: 2015111010
appDevelopmentStage: final

Voilà où j’en suis. Auriez-vous une idée pour la suite? En vous remerciant

Ok Samuel,
ma question était plutôt pour prof_wendling.
Nous utilisons la version advanced sur serveur depuis quelques temps et non pas la version starter.
Quel est le public visé par cette version?
Je l’ai installée pour tenter de venir en aide à prof_wendling,mais avec une version de LO installée sur mon poste je n’ai pas le même type de configuration facilement accessible…Éventuellement avec une machine virtuelle mais ça devient un peu lourd. :grin:

Bonjour,
Je vais essayé d’installer deux versions en suivant ce fil de discussion par exemple:
https://forum.openoffice.org/fr/forum/viewtopic.php?f=13&t=48508

SCENARI n’a pas pu piloter votre LibreOffice, ou alors la version portable de LO 4.3 n’est pas complète, il lui manque peut-être des composantes Java nécessaire à SCENARI. Ou alors SCENARI tente de ce connecter avec les deux versions de LO.

Vous avez bien paramétré SCENARI pour utiliser spécifiquement la version 4.3 ?

Voici le chemin complet que j’ai mis en place
C:\Program Files (x86)\LibreOfficePortablePrevious_4.3.7_MultilingualStandard.paf

Bonsoir,
J’ai réussi à installé deux versions de libre office avec l’aide de:
https://forum.openoffice.org/fr/forum/viewtopic.php?f=13&t=48508.
J’arrive à générer un .odt. Mais pour l’instant il est quasiment vide.
En sélectionnant la publication papier puis le mode édition j’ai une erreur


Auriez-vous une idée à ce propos? En vous remerciant

Vous devez y lier votre module Opale. Sinon SCENARI ne sais pas ce que vous voulez publier…

Bonsoir,
Je veux bien le faire mais comment fait-on?

Bonjour,
il suffit de faire glisser le module de la partie gauche vers la zone en erreur (là où il y a le petit dossier).
Pensez à enregistrer quand ce sera fait et vous devriez ne plus avoir d’erreurs.


Bon courage vous y êtes presque!

Merci beaucoup cela fonctionne. Le .odt du fichier Comète est généré correctement sauf au niveau de la légende:


Savez-vous d’où cela peu venir?

Je ne vois pas le pb?
Avez vous vu le document avec l’aperçu et non pas en “mode édition”?

Désolé effectivement c’est moi qui me suis trompé le .pdf livré est un peu différent du .odt généré. En tout cas merci à tous pour votre aide, je vais maintenant remplacé les différents item, grains et paramétrages par mon cours pour pouvoir générer mes documents.

Ca n’est pas évident au début, mais on se fait assez vite à la logique de la chaine éditoriale.
Bon courage pour la suite.